# Uses of Class
org.eclipse.mat.parser.model.ClassImpl

Packages that use ClassImpl
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.parser
Interfaces for handling indexes.
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.

## Uses of ClassImpl in org.eclipse.mat.hprof

Fields in org.eclipse.mat.hprof declared as ClassImpl
Modifier and Type
Field
Description
`ClassImpl`
IHprofParserHandler.HeapObject.`clazz`
Methods in org.eclipse.mat.hprof that return ClassImpl
Modifier and Type
Method
Description
`ClassImpl`
HprofParserHandlerImpl.`lookupClass(long classId)`
Methods in org.eclipse.mat.hprof with parameters of type ClassImpl
Modifier and Type
Method
Description
`void`
HprofParserHandlerImpl.`addClass(ClassImpl clazz, long filePosition, int idSize, int instsize)`
`void`
IHprofParserHandler.`addClass(ClassImpl clazz, long filePosition, int idSize, int instsize)`
`long`
HprofParserHandlerImpl.`getObjectArrayHeapSize(ClassImpl arrayType, int size)`
`long`
IHprofParserHandler.`getObjectArrayHeapSize(ClassImpl arrayType, int size)`
Constructors in org.eclipse.mat.hprof with parameters of type ClassImpl
Modifier
Constructor
Description
``
`HeapObject(long objectAddress, ClassImpl clazz, long usedHeapSize)`

## Uses of ClassImpl in org.eclipse.mat.parser

Method parameters in org.eclipse.mat.parser with type arguments of type ClassImpl
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setClassesById(HashMapIntObject<ClassImpl> classesById)`
Store the class id to ClassImpl mapping

## Uses of ClassImpl in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return types with arguments of type ClassImpl
Modifier and Type
Method
Description
`HashMapIntObject<ClassImpl>`
SnapshotImplBuilder.`getClassCache()`
Method parameters in org.eclipse.mat.parser.internal with type arguments of type ClassImpl
Modifier and Type
Method
Description
`static SnapshotImpl`
SnapshotImpl.`create(XSnapshotInfo snapshotInfo, String objectReaderUniqueIdentifier, IObjectReader heapObjectReader, HashMapIntObject<ClassImpl> classCache, HashMapIntObject<XGCRootInfo[]> roots, HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread, BitField arrayObjects, IndexManager indexManager, IProgressListener listener)`
Create the snapshot after a fresh parse.
`void`
SnapshotImplBuilder.`setClassCache(HashMapIntObject<ClassImpl> classCache)`

## Uses of ClassImpl in org.eclipse.mat.parser.model

Methods in org.eclipse.mat.parser.model that return ClassImpl
Modifier and Type
Method
Description
`ClassImpl`
AbstractObjectImpl.`getClazz()`
`ClassImpl`
ClassImpl.`getSuperClass()`
Methods in org.eclipse.mat.parser.model with parameters of type ClassImpl
Modifier and Type
Method
Description
`void`
ClassImpl.`addSubClass(ClassImpl clazz)`
Add a subclass of this class.
`int`
ClassImpl.`compareTo(ClassImpl other)`
`static long`
ObjectArrayImpl.`doGetUsedHeapSize(ClassImpl clazz, int length)`
Calculates the size of an object array
`static long`
PrimitiveArrayImpl.`doGetUsedHeapSize(ClassImpl clazz, int length, int type)`
Calculates the size of a primitive array
`void`
ClassImpl.`removeSubClass(ClassImpl clazz)`
Remove a subclass of this class.
`void`
AbstractObjectImpl.`setClassInstance(ClassImpl classInstance)`
Changes the type of the object.
Constructors in org.eclipse.mat.parser.model with parameters of type ClassImpl
Modifier
Constructor
Description
``
`AbstractArrayImpl(int objectId, long address, ClassImpl classInstance, int length)`
Construct a general object, called from subclass.
``
`AbstractObjectImpl(int objectId, long address, ClassImpl classInstance)`
Construct a general object, called from subclass.
``
`ClassLoaderImpl(int objectId, long address, ClassImpl clazz, List<Field> fields)`
Constructs a class loader object.
``
`InstanceImpl(int objectId, long address, ClassImpl clazz, List<Field> fields)`
Construct a representation of plain java object in the snapshot.
``
`ObjectArrayImpl(int objectId, long address, ClassImpl classInstance, int length)`
Constructs an array of objects.
``
`PrimitiveArrayImpl(int objectId, long address, ClassImpl classInstance, int length, int type)`
Constructs a primitive array
``
`XClassHistogramRecord(ClassImpl classInstance)`
Create an XClassHistogramRecord by retrieving information from the class